| Home | Libraries | People | FAQ | More

##### basic_deadline_timer::basic_deadline_timer (3 of 3 overloads)

Constructor to set a particular expiry time relative to now.

    basic_deadline_timer(
        boost::asio::io_service & io_service,
        const duration_type & expiry_time);

This constructor creates a timer and sets the expiry time.

###### Parameters

io_service

  The io_service object that the timer will use to dispatch handlers for any asynchronous operations performed on the timer.

expiry_time

  The expiry time to be used for the timer, relative to now.